Subject: nncpnet tools usage

From: "Jonathan Lane" <[email-masked]>
Date: Fri, 17 Oct 2025 00:06:05 -0700

Hello,

I'm working on wiring up the NNCPNet tools to Postfix and I don't
understand how nncpnet-transmit is reading the HOST and RECIPIENT
environment variables in the docker container.  Is Exim just injecting
those when it invokes nncpnet-transmit?  Are all MTAs with a "pipe
transport" expected to behave the same way?

On a related note the absolute filepaths in nncpnet-transmit.rs are
gross, mixing /opt and /usr/local.  The required use of the exploded
config format is also fragile.  I'm probably going to end up rewriting
this tool regardless of how the RECIPIENT magic works.

-- 
Jonathan Lane